> For the complete documentation index, see [llms.txt](https://docs.xplorpay.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xplorpay.com/api-reference/api/payments/mobile/mobile-payment-transactions.md).

# Mobile Payment Transactions

The **Mobile Payment Transactions API** allows you to process card-present payments from mobile devices using Xplor Pay's supported card readers. The mobile SDK generates a secure transaction token that represents the inserted or integrated card data captured during the transaction. Include this token in the request header while submitting your payment transaction.

This approach eliminates the need to send sensitive card details, such as card number, expiration date, and track data, in your request. The supported transaction types include authorization, sale, forced sale, and refund.

{% hint style="info" %}
See SDK documentation for integration details:

* [Android SDK](https://github.com/clearent/android-idtech-sdk) Current Version: Framework - clearent-idtech-android-116-1.0.00.jar4
* [iOS Framework](broken://spaces/JsJzPs3wr61OB091sy0z/pages/t2h4H1yIskqPF46wuxPp) Current Version: Framework- 1.0.26.4 Clearent CocoaPods - 1.0.84
* [Windows SDK](https://github.com/clearent/windows-sdk) Current Version: 1.0
* [JavaScript SDK](broken://spaces/JsJzPs3wr61OB091sy0z/pages/UpiugjXdx5Nifc60JZiQ)
  {% endhint %}

{% hint style="warning" %}
This API does not support follow-up transactions such as captures, voids, and matched refunds.
{% endhint %}

* [ACH Mobile Transactions](/api-reference/api/payments/mobile/ach-mobile-transactions.md)
* [Apple Pay for Web](/api-reference/api/payments/mobile/apple-pay-for-web.md)
* [Android Device Configuration](/api-reference/api/payments/mobile/android-device-configuration.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.xplorpay.com/api-reference/api/payments/mobile/mobile-payment-transactions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
